%global reponame tagparser
%global soname 12

Name:           %{reponame}
Version:        12.3.1
Release:        1%{?dist}
Summary:        C++ library for reading and writing tags supporting various formats
License:        GPL-2.0-or-later
URL:            https://github.com/Martchus/%{reponame}
Source:         https://github.com/Martchus/%{reponame}/archive/v%{version}/%{reponame}-%{version}.tar.gz
BuildRequires:  cmake >= 3.9
BuildRequires:  c++utilities-devel
BuildRequires:  pkgconfig
BuildRequires:  zlib-devel

%description
C++ library for reading and writing MP4/M4A/AAC (iTunes), ID3, Vorbis, Opus, FLAC and Matroska tags
This text was intentionally added to make the description larger than the summary.

%package -n lib%{reponame}%{soname}
Summary:        C++ library for reading and writing tags supporting various formats
Group:          System/Libraries

%description -n lib%{reponame}%{soname}
C++ library for reading and writing MP4/M4A/AAC (iTunes), ID3, Vorbis, Opus, FLAC and Matroska tags
This text was intentionally added to make the description larger than the summary.

%package devel
Summary:        Devel files for %{reponame}
Group:          Development/Libraries/C and C++
Requires:       c++utilities-devel
Requires:       lib%{reponame}%{soname} = %{version}
Requires:       zlib-devel

%description devel
Development files for %{reponame}

%prep
%setup -q -n %{reponame}-%{version}

%build
%cmake \
  -DBUILD_SHARED_LIBS:BOOL=ON
%cmake_build

%install
%cmake_install

%files -n lib%{reponame}%{soname}
%license LICENSE
%{_libdir}/lib%{reponame}.so.%{soname}*

%files devel
%doc README.md
%{_includedir}/%{reponame}
%{_datadir}/%{reponame}
%{_libdir}/pkgconfig/%{reponame}.pc
%{_libdir}/lib%{reponame}.so

%changelog
* Wed Oct 16 2024 Marius Kittler <marius.kittler@suse.com>
- Update to 12.3.1

* Thu Dec  3 2020 Marius Kittler <marius.kittler@suse.com>
- Update to 9.4.0
